package com.bonus.canteen.core.notice.print.v2.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("notice_print_record")
@ApiModel(
   value = "NoticePrintRecord对象",
   description = "打印记录表"
)
public class NoticePrintRecord implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("记录id")
   @TableId
   private Long recordId;
   @ApiModelProperty("打印机id")
   private Long deviceId;
   @ApiModelProperty("打印机名称")
   private String deviceName;
   @ApiModelProperty("打印机sn")
   private String deviceSn;
   @ApiModelProperty("业务id（订单号、充值、取款单号）")
   private Long busId;
   @ApiModelProperty("打印类型（001001:食堂/档口下单，001002:食堂/档口退单，001003:商超下单，001004:商超退单，002001:充值，002002:提现，999999:设备主动调用）")
   private String printType;
   @ApiModelProperty("打印状态（0:打印中，1:打印成功，2:打印失败）")
   private Integer ifSuccess;
   @ApiModelProperty("打印时间")
   private LocalDateTime crtime;
   @ApiModelProperty("飞鹅打印记录id")
   private String dataId;
   @ApiModelProperty("失败原因")
   private String msg;

   public Long getRecordId() {
      return this.recordId;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public String getDeviceName() {
      return this.deviceName;
   }

   public String getDeviceSn() {
      return this.deviceSn;
   }

   public Long getBusId() {
      return this.busId;
   }

   public String getPrintType() {
      return this.printType;
   }

   public Integer getIfSuccess() {
      return this.ifSuccess;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getDataId() {
      return this.dataId;
   }

   public String getMsg() {
      return this.msg;
   }

   public NoticePrintRecord setRecordId(final Long recordId) {
      this.recordId = recordId;
      return this;
   }

   public NoticePrintRecord setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
      return this;
   }

   public NoticePrintRecord setDeviceName(final String deviceName) {
      this.deviceName = deviceName;
      return this;
   }

   public NoticePrintRecord setDeviceSn(final String deviceSn) {
      this.deviceSn = deviceSn;
      return this;
   }

   public NoticePrintRecord setBusId(final Long busId) {
      this.busId = busId;
      return this;
   }

   public NoticePrintRecord setPrintType(final String printType) {
      this.printType = printType;
      return this;
   }

   public NoticePrintRecord setIfSuccess(final Integer ifSuccess) {
      this.ifSuccess = ifSuccess;
      return this;
   }

   public NoticePrintRecord setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public NoticePrintRecord setDataId(final String dataId) {
      this.dataId = dataId;
      return this;
   }

   public NoticePrintRecord setMsg(final String msg) {
      this.msg = msg;
      return this;
   }

}
